Bug 110474 - New port: devel/p5-threads-shared 1.08
Summary: New port: devel/p5-threads-shared 1.08
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: Cheng-Lung Sung
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2007-03-18 16:10 UTC by ruben
Modified: 2007-04-04 11:04 UTC (History)
0 users

See Also:


Attachments
p5-threads-shared.shar (2.78 KB, application/x-shar)
2007-03-21 09:30 UTC, ruben
no flags Details

Note You need to log in before you can comment on or make changes to this bug.
Description ruben 2007-03-18 16:10:02 UTC
From pkg-descr

By default, variables are private to each thread, and each newly created thread
gets a private copy of each existing variable. 

This module allows you to share variables across different threads (and
pseudoforks on Win32). It is used together with the threads module.

WWW:	http://search.cpan.org/dist/threads-shared/

Fix: 

FYI:
	"make test" was succesful on this platform with perl interpreter threads enabled
How-To-Repeat: 
# This is a shell archive.  Save it in a file, remove anything before
# this line, and then unpack it by entering "sh file".  Note, it may
# create directories; files and directories will be owned by you and
# have default permissions.
#
# This archive contains:
#
#	p5-threads-shared
#	p5-threads-shared/Makefile
#	p5-threads-shared/distinfo
#	p5-threads-shared/pkg-descr
#	p5-threads-shared/pkg-plist
#
echo c - p5-threads-shared
mkdir -p p5-threads-shared > /dev/null 2>&1
echo x - p5-threads-shared/Makefile
sed 's/^X//' >p5-threads-shared/Makefile << 'END-of-p5-threads-shared/Makefile'
X# New ports collection makefile for:	p5-threads-shared
X# Date created:		2007-03-18
X# Whom:			Ruben van Staveren
X#
X# $FreeBSD$
X#
X
XPORTNAME=	threads-shared
XPORTVERSION=	1.08
XCATEGORIES=	devel perl5
XMASTER_SITES=	${MASTER_SITE_PERL_CPAN}
XMASTER_SITE_SUBDIR=	../../authors/id/J/JD/JDHEDDEN
XPKGNAMEPREFIX=	p5-
X
XMAINTAINER=	ruben@verweg.com
XCOMMENT=	Perl extension for sharing data structures between threads
X
XRUN_DEPENDS=	p5-threads>=1.59:${PORTSDIR}/devel/p5-threads
XBUILD_DEPENDS=	${RUN_DEPENDS}
X
XPERL_CONFIGURE=	yes
X
XMAN3=	threads::shared.3
X
X.include <bsd.port.pre.mk>
X
X.if ${PERL_LEVEL} < 500800
XIGNORE=	requires perl 5.8.0 or later. Install lang/perl5.8 then try again
X.endif
X
X.include <bsd.port.post.mk>
END-of-p5-threads-shared/Makefile
echo x - p5-threads-shared/distinfo
sed 's/^X//' >p5-threads-shared/distinfo << 'END-of-p5-threads-shared/distinfo'
XMD5 (threads-shared-1.08.tar.gz) = aa87ded3df2727c280df27df202fa26a
XSHA256 (threads-shared-1.08.tar.gz) = 10862d7a4e151d1ce7a16c72405007c16a9cc1a6c2cc6455a9d5ca355c2b9378
XSIZE (threads-shared-1.08.tar.gz) = 65122
END-of-p5-threads-shared/distinfo
echo x - p5-threads-shared/pkg-descr
sed 's/^X//' >p5-threads-shared/pkg-descr << 'END-of-p5-threads-shared/pkg-descr'
XBy default, variables are private to each thread, and each newly created thread
Xgets a private copy of each existing variable. 
X
XThis module allows you to share variables across different threads (and
Xpseudoforks on Win32). It is used together with the threads module.
X
XWWW:	http://search.cpan.org/dist/threads-shared/	
END-of-p5-threads-shared/pkg-descr
echo x - p5-threads-shared/pkg-plist
sed 's/^X//' >p5-threads-shared/pkg-plist << 'END-of-p5-threads-shared/pkg-plist'
X@comment $FreeBSD$
X%%SITE_PERL%%/%%PERL_ARCH%%/auto/threads/shared/.packlist
X%%SITE_PERL%%/%%PERL_ARCH%%/auto/threads/shared/shared.bs
X%%SITE_PERL%%/%%PERL_ARCH%%/auto/threads/shared/shared.so
X%%SITE_PERL%%/%%PERL_ARCH%%/threads/shared.pm
X@dirrmtry %%SITE_PERL%%/%%PERL_ARCH%%/auto/threads/shared
X@dirrmtry %%SITE_PERL%%/%%PERL_ARCH%%/auto/threads
END-of-p5-threads-shared/pkg-plist
exit
Comment 1 Martin Wilke freebsd_committer 2007-03-18 20:13:00 UTC
Responsible Changed
From-To: freebsd-ports-bugs->miwi

I'll take it.
Comment 2 Martin Wilke freebsd_committer 2007-03-19 09:34:09 UTC
State Changed
From-To: open->feedback

Ask for submitter fix.
Comment 3 ruben 2007-03-21 09:30:50 UTC
On Mon, Mar 19, 2007 at 10:36:55AM +0100, Martin Wilke wrote:
> -----BEGIN PGP SIGNED MESSAGE-----
> Hash: SHA1
> 
> 
> 
> Hi plist breaks.
> 
> http://tb2.miwibox.org/index.php?action=describe_port&id=1033

Ok, I added @dirrmtry for that one, sorry overlooked that
Comment 4 Martin Wilke freebsd_committer 2007-03-22 14:44:25 UTC
Responsible Changed
From-To: miwi->clsung

clsung handel this.
Comment 5 dfilter service freebsd_committer 2007-04-04 09:57:32 UTC
clsung      2007-04-04 08:57:26 UTC

  FreeBSD ports repository

  Modified files:
    devel                Makefile 
  Added files:
    devel/p5-threads-shared Makefile distinfo pkg-descr pkg-plist 
  Log:
  Add p5-threads-shared 1.08, perl extension for sharing data structures
  between threads.
  
  PR:             ports/110474
  Submitted by:   Ruben van Staveren
  
  Revision  Changes    Path
  1.2717    +1 -0      ports/devel/Makefile
  1.1       +31 -0     ports/devel/p5-threads-shared/Makefile (new)
  1.1       +3 -0      ports/devel/p5-threads-shared/distinfo (new)
  1.1       +7 -0      ports/devel/p5-threads-shared/pkg-descr (new)
  1.1       +8 -0      ports/devel/p5-threads-shared/pkg-plist (new)
_______________________________________________
cvs-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/cvs-all
To unsubscribe, send any mail to "cvs-all-unsubscribe@freebsd.org"
Comment 6 Cheng-Lung Sung freebsd_committer 2007-04-04 11:04:36 UTC
State Changed
From-To: feedback->closed

New port added. Thank You.